#
# spec file for package hamster-applet (Version 2.28.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           hamster-applet
BuildRequires:  fdupes
BuildRequires:  gconf2-devel
BuildRequires:  gnome-python-desktop
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  python-devel
BuildRequires:  python-gnome-devel
BuildRequires:  python-gtk-devel
BuildRequires:  update-desktop-files
Summary:        A GNOME panel applet that allows you to track where you spend your time
Version:        2.28.2
Release:        0.1.1
License:        GPLv3+
Group:          Productivity/Other
Source0:        %{name}-%{version}.tar.bz2
Url:            http://projecthamster.wordpress.com/
Requires:       dbus-1-python
Requires:       gnome-python-desktop
Requires:       python-gnome
Requires:       python-gtk
Requires:       %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}
%gconf_schemas_prereq

%description
Project Hamster is time tracking for masses. It helps you to keep track
on how much time you have spent during the day on activities you have
set up.



%lang_package
%prep
%setup -q

%build
%configure
%__make %{?jobs:-j%jobs}

%install
%makeinstall
%find_gconf_schemas
%find_lang %{name}
%fdupes $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre

%preun -f %{name}.schemas_preun

%posttrans -f %{name}.schemas_posttrans

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.schemas_list
%defattr(-, root, root)
%doc AUTHORS NEWS README TODO
%{_libdir}/hamster-applet
%{_libdir}/bonobo/servers/*.server
%{py_sitedir}/hamster
%{_datadir}/hamster-applet
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg

%files lang -f %{name}.lang

%changelog
* Tue Dec 15 2009 dimstar@opensuse.org
- Update to version 2.28.2:
  + unbroke dbus idle signal
  + fixed bug with charts not appearing on some boxes
  + minor fixes to reporting in general (fonts, layout, automatic
    file extension)
  + avoid popup flicker
  + fixed cause for merge errors due to microseconds
- Changes from version 2.28.1:
  + bgo#596617 - avoid getting activities from the future
  + Translation updates.
* Tue Sep 22 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + Updated translations.
* Tue Sep  8 2009 dimstar@opensuse.org
- Update to version 2.27.92:
  + Updated translations.
* Tue Aug 11 2009 lmedinas@gmail.com
- Update to version 2.27.90:
  + Fixes to idle detection
  + Return of the day view
  + UI layout fixes to match HIG
  + Now it is possible to add more than one applet to panel without
    crashing
  + Updated translations
* Tue Jul 28 2009 lmedinas@gmail.com
- Update to version 2.27.5:
  + Better autocomplete
  + More skeptic on parsing time
  + Legend in overview is sized proportionally to screen size,
    allowing larger labels
  + Translation updates.
* Mon Jul 20 2009 lmedinas@gmail.com
- Update to version 2.27.4:
  + Now it is possible to copy/paste activities in the overview
  + Mostly polishing and bug fixing the new stuff brought in 2.27
    cycle
  + Translation updates
* Tue Jun 16 2009 vuntz@novell.com
- Update to version 2.27.3:
  + A much better DBUS support
  + Switch days at 5am because humans tend to work late.
    Overlapping activities fall in day where the largest part of it
    is
  + Now you can enter negatives minutes to start an activity in
    past. Example "-30 cookies" will start activity "cookies" 30
    minutes before now
  + TSV, XML and iCal export
  + Ability to filter task by date and category
  + Overview has been improved by adding some nifty statistics for
    your pleasure
  + Updated translations.
- Add dbus-1-python Requires.
* Wed May 27 2009 vuntz@novell.com
- Update to version 2.27.2:
  + Now a reminder is displayed every configured amount of time
    also when no activity is being tracked.
  + Allow to switch to same task if description differs.
  + Activity edit icon in dropdown is now keyboard accessible.
  + Start time and end time can be specified when typing in task.
    Example: 00:04 Hamster
  + Slightly smarter autocomplete with category suggestions when
    after @ symbol
  + Fixes to edit activity dialog's end time field.
  + Updated translations.
* Tue May  5 2009 vuntz@novell.com
- Update to version 2.27.1:
  + Overview window graphs have been redone and now are less noisy
  + Tasks now can span over midnight, showing correct per-day
    totals in overview
  + Add earlier activity / edit activity has been overhauled and
    now is much easier to use. An experimental preview has been
    added
  + In preferences UI buttons have been added for editing and
    deletion
  + Glade files have been migrated to gtkbuilder format
  + Now it is possible to start overview and other windows straight
    from command line using "-s [stats|edit|prefs]" switch
  + Updated translations.
* Mon Mar 16 2009 vuntz@novell.com
- Update to version 2.26.0:
  + Final fixes to utf-8 and Python 2.6 sqlite.
  + Updated translations.
- Remove AutoReqProv: it's default now.
- Use parallel make.
* Sun Mar  8 2009 vuntz@novell.com
- Review changes.
* Wed Mar  4 2009 lmedinas@gmail.com
- Update to version 2.25.92:
  + Fixed problems with utf-8 and Python 2.6 sqlite
  + Escaping user input so they don't break UI where pango is used
  + Stop tracking on shutdown was ignoring user preference
  + Translation updates
* Mon Feb 16 2009 mboman@suse.de
- Update to version 2.25.91:
  + Show day totals in statistics
  + Better keyboard support (Enter / Escape)
  + Fixes to detect alternative pygtk
  + Fixes to support Japanese better
  + Python 2.6 support
  + Better duplicate entry checks in activities / categories
  + Translation updates
- Remove checks for <= 10.2
- Remove gnome-common and perl-XML-Parser from BuildRequires
* Sat Feb 14 2009 mboman@suse.de
- Remove python-sqlite2 from Requires
* Fri Feb  6 2009 hfiguiere@suse.de
- Review and approve
- Fix dependencies
* Thu Feb  5 2009 lmedinas@gmail.com
- Update to 2.25.90
  + Locales fixes
  + Fix checks for python 2.6 and 3.0
  + Translation Updates
- Update homepage url
- Use %%%%fdupes
* Wed Jan 14 2009 awafaa@opensuse.org
- Update to 2.24.3
* Thu Apr 24 2008 maw@suse.de
- Improve package's metadata
- Build on 10.2
- Require things that should be required.
* Thu Apr 24 2008 maw@suse.de
- Initial hamster-applet package: version 0.2.
